
Redmine - Defect #13381

Unclosed divs are interpreted in issue description and comments

2013-03-07 08:04 - Denis Savitskiy

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.3.1

Description

<div class='inj' style="border: 5px red solid;">Hello, i'm a bug!

History

#1 - 2013-03-07 08:05 - Denis Savitskiy

- Status changed from New to Resolved

#2 - 2013-03-07 08:05 - Denis Savitskiy

Thanks for fixing!

#3 - 2013-03-10 09:43 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Needs feedback

#4 - 2013-03-10 09:44 - Jan Niggemann (redmine.org team member)

Who fixed this? If someone fixed it at all?

#5 - 2013-03-10 23:20 - Mischa The Evil

Jan Niggemann wrote:

Who fixed this? If someone fixed it at all?

 I think that Denis wanted to expose that "Unclosed divs are interpreted in issue description and comments" by using an issue description containing

an unclosed div, as he did in this issue. However, the problem seems not to occur on rm.o (any longer?) thus he probably concluded that it has been

fixed.

Denis, on what version of Redmine have you seen this behavior happen?

#6 - 2013-03-12 12:44 - Denis Savitskiy

Mischa The Evil wrote:

I think that Denis wanted to expose that "Unclosed divs are interpreted in issue description and comments" by using an issue description

containing an unclosed div, as he did in this issue. However, the problem seems not to occur on rm.o (any longer?) thus he probably concluded

that it has been fixed.

 Exactly!

Denis, on what version of Redmine have you seen this behavior happen?

 1.3.1.stable.4480

#7 - 2013-03-13 01:12 - Mischa The Evil

- Affected version (unused) set to 1.3.1

- Affected version set to 1.3.1

Denis Savitsky wrote:
Denis, on what version of Redmine have you seen this behavior happen?

 1.3.1.stable.4480

 This has certainly been an issue in past Redmine versions, IIRC. Though, I don't know/think if/that 1.3.x is supported any more. It's vulnerable for

sure, when it is untouched.

Recap: my suggestion would be to upgrade to a newer, supported version of Redmine (and Rails stack).

Regarding this issue: should we close this one as won't fix? Should we care about the possible establishment of any precedent regarding (future)

defect handling on rm.o, if yes...??

#8 - 2013-03-15 11:10 - Denis Savitskiy

Mischa The Evil wrote:

Regarding this issue: should we close this one as won't fix? Should we care about the possible establishment of any precedent regarding (future)

defect handling on rm.o, if yes...??

 Sure, close it! We are currently upgrading to Redmine 2.2.3. I'll add bugs if they are found. We use Redmine constantly for 3 years.

#9 - 2013-03-15 11:57 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

Thank you for your feedback.
